lkml.org 
[lkml]   [2019]   [Apr]   [15]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
SubjectRe: [PATCH 1/2] ASoC: mpc5200_dma: Fix invalid license ID
On Mon, 15 Apr 2019, Daniel Baluta wrote:
> On Mon, Apr 15, 2019 at 10:26 AM Daniel Baluta <daniel.baluta@gmail.com> wrote:
> > On Mon, Apr 15, 2019 at 12:53 AM Fabio Estevam <festevam@gmail.com> wrote:
> > > On Sun, Apr 14, 2019 at 4:15 PM Andra Danciu <andradanciu1997@gmail.com> wrote:
> > > > -// SPDX-License-Identifier: GPL
> > > > +// SPDX-License-Identifier: GPL-2.0-only
> > >
> > > According to Documentation/process/license-rules.rst this should be:
> > >
> > > // SPDX-License-Identifier: GPL-2.0
> >
>
> Actually, according to
>
> https://spdx.org/licenses/GPL-2.0-only.html
>
> GPL-2.0 is another name for GPL-2.0-only

See also: LICENSES/preferred/GPL-2.0

Valid-License-Identifier: GPL-2.0
Valid-License-Identifier: GPL-2.0-only

If the identifier would be invalid, scripts/spdxcheck.py would complain ...

Thanks,

tglx

\
 
 \ /
  Last update: 2019-04-15 09:34    [W:0.025 / U:0.376 seconds]
©2003-2018 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site